No puedo instalar k3b

Imagen de dragobeso
0 puntos

Buenas.

Ayer instalé en mi máquina el Edgy Eft con Gnome y le añadí los paquetes multimedia que necesitaba y lo puse un poco al día. Sin embargo al intentar instalar el K3B me da el siguiente mensaje, como si me faltara algún repositorio o paquete:

 

No se pudieron marcar todos los paquetes para instalación o actualización.

Los siguientes paquetes tienen dependencias no resolubles. Asegúrese de que todos los repositorios requeridos están añadidos y activados en las preferencias

k3b:
Depende: kdelibs4c2a (>=4:3.5.5-1) pero se va a instalar 4:3.5.5-0ubuntu3.1.1
Depende: libdbus-1-3 (>=0.94) pero se va a instalar 0.93-0ubuntu3.1
Depende: libfontconfig1 (>=2.4.0) pero se va a instalar 2.3.2-7ubuntu2
Depende: libk3b2 pero no va a ser instalado
Depende: libpng12-0 (>=1.2.13-4) pero se va a instalar 1.2.8rel-5.1ubuntu0.1
Depende: libqt3-mt (>=3:3.3.7) pero se va a instalar 3:3.3.6-3ubuntu3
Depende: wodim but it is not installable

 

Tengo activados los universe y multiverse. He googleado bastante pero nada. ¿Alguien sabe qué me falta?

Imagen de sk
+1
0
-1

A mi me pasa algo muy parecidosolo que a mi me marca esto:

k3b:
  Depende: kdelibs4c2a (>=4:3.5.5-1) pero se va a instalar 4:3.5.5-0ubuntu3.1.1
 Depende: libk3b2 pero no va a ser instalado

Y también otro parecido con el compilador, que ahora no me va. A la lista de repositorios solo he agregado los de Wine y los de Beryl, ¿Eso causará el problema? 

 

watashi wa sk o desu

+1
0
-1

watashi wa sk o desu

Imagen de dragobeso
+1
0
-1

Al final conseguí solucionarlo. Tuve que cambiar la lista de repositorios de sources.list y desde entonces sin problemas. Al parecer hay algunos repositorios que interfieren entre sí. Es muy fácil arreglarlo. Te pego la solución:

debes tener algun problema con los repositorios Enviado por elgatogordo el Dom, 01/04/2007 - 13:55

ve a esta página

http://www.ubuntu-nl.org/source-o-matic/

completa todos los casilleros y haz click en create source list

luego en la terminal escribe sudo gedit /etc/apt/sources.list

borra lo que te aparece y copia la lista que te genero la página de internet

luego guarda cierra y en la terminal escribe

sudo apt-get update

luego busca K3b en el menú APLICACIONES AÑADIR Y QUITAR PROGRAMAS SONIDO e instalalo. no deberias tener problemas

 

+1
0
-1
Imagen de sk
+1
0
-1

Me ha funcionado, muchas gracias. El apt-get update genera unos cuantos warnings en el repositoria de kubuntu... tal vez no los necesito pero pude instalar k3b.

watashi wa sk o desu

+1
0
-1

watashi wa sk o desu

Imagen de sk
+1
0
-1

No queria molestar de nuevo con esto, pero, por un letal error tuve que reinstalar mi ubuntu.

Primero estaba con los repositorios por defecto y después me di cuenta de que cada que marcaba nuevas actualizaciones aparecian dos ligadas a K3B, fué lo mismo que pasó la primera vez, así que cambie a los repositorios generados por la página de Ubuntu. Creí que podría resolver esa actualización pero no fué así, así que desinstalé K3B y ahora no lo puedo reinstalar. ¿Regreso a los Repositorios por defecto?

watashi wa sk o desu

+1
0
-1

watashi wa sk o desu

Imagen de dragobeso
+1
0
-1

La verdad es que no sé muy bien qué decirte... A mí  tampoco me dejó instalar el k3b con los repositorios por defecto, pero no sé por qué no te deja reinstalarlo habiéndolos cambiado. La verdad es que soy un poco novato todavía, pero por si te sirve de algo, te voy a copiar el contenido de mi sources.list para que compares, no vaya a ser que te falte algo por algún motivo:

 # Automatically generated sources.list
# http://www.ubuntu-nl.org/source-o-matic/
#
# If you get GPG errors with this sources.list, locate the GPG key in this file
# and run these commands (where KEY is replaced with that key)
#
# gpg --keyserver hkp://subkeys.pgp.net --recv-keys KEY
# gpg --export --armor KEY | sudo apt-key add -
#
# If you don't know what to do with this file, read
# https://help.ubuntu.com/community/Repositories/CommandLine

# Ubuntu supported packages
# GPG key: 437D05B5
deb http://es.archive.ubuntu.com/ubuntu edgy main restricted
deb http://es.archive.ubuntu.com/ubuntu edgy-updates main restricted
deb http://security.ubuntu.com/ubuntu edgy-security main restricted

# Ubuntu community supported packages
# GPG key: 437D05B5
deb http://es.archive.ubuntu.com/ubuntu edgy universe multiverse
deb http://es.archive.ubuntu.com/ubuntu edgy-updates universe multiverse
deb http://security.ubuntu.com/ubuntu edgy-security universe multiverse

# Kubuntu.org bleeding edge KDE
# GPG key: DD4D5088
deb http://kubuntu.org/packages/kde-latest edgy main

# Upstream Wine
# GPG key: 387EE263
deb http://wine.budgetdedicated.com/apt edgy main

+1
0
-1